Bug#354394: gs-esp: [IJS/KRGB] please update KRGB support to version 1.2

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#354394: gs-esp: [IJS/KRGB] please update KRGB support to version 1.2

Henrique de Moraes Holschuh
Package: gs-esp
Version: 8.15.1.dfsg.1-1
Severity: important
Tags: patch

HP upstream just released a new version of the KRGB patches. Since they fix
a buffer overflow in borderless printing, I am setting the severity of the
bug report to important instead of wishlist.

It is unknown at this time if the buffer overflow is exploitable or not.

The patch also closes a memory leak (fix from gs upstream).

The attached patch against gs-esp 8.15.1.dfsg.1-1 updates the KRGB support
to version 1.2

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.4-debian5+bluesmoke+lm85
Locale: LANG=pt_BR.ISO-8859-1, LC_CTYPE=pt_BR.ISO-8859-1 (charmap=ISO-8859-1)

Versions of packages gs-esp depends on:
ii  gs-common                 0.3.9          Common files for different Ghostsc
ii  libc6                     2.3.6-2        GNU C Library: Shared libraries an
ii  libcupsimage2             1.1.23-15      Common UNIX Printing System(tm) -
ii  libcupsys2                1.1.23-15      Common UNIX Printing System(tm) -
ii  libice6                   6.9.0.dfsg.1-4 Inter-Client Exchange library
ii  libjpeg62                 6b-11          The Independent JPEG Group's JPEG
ii  libpaper1                 1.1.14-5       Library for handling paper charact
ii  libpng12-0                1.2.8rel-5     PNG library - runtime
ii  libsm6                    6.9.0.dfsg.1-4 X Window System Session Management
ii  libstdc++6                4.0.2-9        The GNU Standard C++ Library v3
ii  libtiff4                  3.8.0-2        Tag Image File Format (TIFF) libra
ii  libx11-6                  6.9.0.dfsg.1-4 X Window System protocol client li
ii  libxext6                  6.9.0.dfsg.1-4 X Window System miscellaneous exte
ii  libxt6                    6.9.0.dfsg.1-4 X Toolkit Intrinsics
ii  xlibs                     6.9.0.dfsg.1-4 X Window System client libraries m
ii  zlib1g                    1:1.2.3-9      compression library - runtime

Versions of packages gs-esp recommends:
ii  gsfonts               8.14+v8.11+urw-0.2 Fonts for the Ghostscript interpre
ii  psfontmgr             0.11.8-0.1         PostScript font manager -- part of

-- no debconf information

--
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh

gs-esp-krgb1.2.patch (13K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#354394: marked as done (gs-esp: [IJS/KRGB] please update KRGB support to version 1.2)

Debian Bug Tracking System
Your message dated Wed, 05 Apr 2006 04:32:10 -0700
with message-id <[hidden email]>
and subject line Bug#354394: fixed in gs-esp 8.15.1.dfsg.1-2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)


Package: gs-esp
Version: 8.15.1.dfsg.1-1
Severity: important
Tags: patch

HP upstream just released a new version of the KRGB patches. Since they fix
a buffer overflow in borderless printing, I am setting the severity of the
bug report to important instead of wishlist.

It is unknown at this time if the buffer overflow is exploitable or not.

The patch also closes a memory leak (fix from gs upstream).

The attached patch against gs-esp 8.15.1.dfsg.1-1 updates the KRGB support
to version 1.2

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.4-debian5+bluesmoke+lm85
Locale: LANG=pt_BR.ISO-8859-1, LC_CTYPE=pt_BR.ISO-8859-1 (charmap=ISO-8859-1)

Versions of packages gs-esp depends on:
ii  gs-common                 0.3.9          Common files for different Ghostsc
ii  libc6                     2.3.6-2        GNU C Library: Shared libraries an
ii  libcupsimage2             1.1.23-15      Common UNIX Printing System(tm) -
ii  libcupsys2                1.1.23-15      Common UNIX Printing System(tm) -
ii  libice6                   6.9.0.dfsg.1-4 Inter-Client Exchange library
ii  libjpeg62                 6b-11          The Independent JPEG Group's JPEG
ii  libpaper1                 1.1.14-5       Library for handling paper charact
ii  libpng12-0                1.2.8rel-5     PNG library - runtime
ii  libsm6                    6.9.0.dfsg.1-4 X Window System Session Management
ii  libstdc++6                4.0.2-9        The GNU Standard C++ Library v3
ii  libtiff4                  3.8.0-2        Tag Image File Format (TIFF) libra
ii  libx11-6                  6.9.0.dfsg.1-4 X Window System protocol client li
ii  libxext6                  6.9.0.dfsg.1-4 X Window System miscellaneous exte
ii  libxt6                    6.9.0.dfsg.1-4 X Toolkit Intrinsics
ii  xlibs                     6.9.0.dfsg.1-4 X Window System client libraries m
ii  zlib1g                    1:1.2.3-9      compression library - runtime

Versions of packages gs-esp recommends:
ii  gsfonts               8.14+v8.11+urw-0.2 Fonts for the Ghostscript interpre
ii  psfontmgr             0.11.8-0.1         PostScript font manager -- part of

-- no debconf information

--
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh

Source: gs-esp
Source-Version: 8.15.1.dfsg.1-2

We believe that the bug you reported is fixed in the latest version of
gs-esp, which is due to be installed in the Debian FTP archive:

gs-esp_8.15.1.dfsg.1-2.diff.gz
  to pool/main/g/gs-esp/gs-esp_8.15.1.dfsg.1-2.diff.gz
gs-esp_8.15.1.dfsg.1-2.dsc
  to pool/main/g/gs-esp/gs-esp_8.15.1.dfsg.1-2.dsc
gs-esp_8.15.1.dfsg.1-2_i386.deb
  to pool/main/g/gs-esp/gs-esp_8.15.1.dfsg.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <[hidden email]> (supplier of updated gs-esp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  5 Apr 2006 19:48:26 +0900
Source: gs-esp
Binary: gs-esp
Architecture: source i386
Version: 8.15.1.dfsg.1-2
Distribution: unstable
Urgency: low
Maintainer: Masayuki Hatta (mhatta) <[hidden email]>
Changed-By: Masayuki Hatta (mhatta) <[hidden email]>
Description:
 gs-esp     - The Ghostscript PostScript interpreter - ESP version
Closes: 332996 354394
Changes:
 gs-esp (8.15.1.dfsg.1-2) unstable; urgency=low
 .
   * Updated KRGB support to 1.2, thanks hmh - closes: #354394
   * Now supposed to be built on GNU/kFreeBSD - closes: #332996
Files:
 d105d880a307920773adbd9fdf3c2a69 857 text optional gs-esp_8.15.1.dfsg.1-2.dsc
 f0c536e8d86bacb9541655387b7f90b8 79437 text optional gs-esp_8.15.1.dfsg.1-2.diff.gz
 cbf77b1889d4da8a88038cac8657f231 2980840 text optional gs-esp_8.15.1.dfsg.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEM6Zwy2+jQOcHWlQRAu3TAKCvOYrF4UToLszVtdY54MGTLwSxNQCfVlfd
7Mobw1AO34x27DVwgWhcKp8=
=O3yq
-----END PGP SIGNATURE-----


gs-esp-krgb1.2.patch (13K) Download Attachment